Bug 296661 - subclipse doesn't work anymore with 1.2.4 update
subclipse doesn't work anymore with 1.2.4 update
Product: Fedora
Classification: Fedora
Component: eclipse-subclipse (Show other bugs)
All Linux
low Severity high
: ---
: ---
Assigned To: Robert Marcano
Fedora Extras Quality Assurance
: 297651 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2007-09-19 13:40 EDT by Hugues Thiébaux
Modified: 2007-11-30 17:12 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-09-19 13:57:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
java.lang.ClassNotFoundException: org.tigris.subversion.subclipse.ui.repository.RepositoriesView (5.02 KB, text/plain)
2007-09-19 13:40 EDT, Hugues Thiébaux
no flags Details

  None (edit)
Description Hugues Thiébaux 2007-09-19 13:40:25 EDT
Description of problem:
Subclipse doesn't work anymore after an update from 1.2.0 to 1.2.4

Version-Release number of selected component (if applicable):

How reproducible:
yum update ...

Steps to Reproduce:
1. update package
2. launch eclipse
3. go to SVN repository view
Actual results:
Unable to create view: Plug-in org.tigris.subversion.subclipse.ui was unable to
load class org.tigris.subversion.subclipse.ui.repository.RepositoriesView.

Expected results:

Additional info:
See log in attachment
Comment 1 Hugues Thiébaux 2007-09-19 13:40:25 EDT
Created attachment 199841 [details]
java.lang.ClassNotFoundException: org.tigris.subversion.subclipse.ui.repository.RepositoriesView
Comment 2 Robert Marcano 2007-09-19 13:57:01 EDT
Received a direct email about the problem and the update is already on the way.
Temporary workaround:


and add 



Bundle-ClassPath: .,

and remove your $HOME/.eclipse directory

For some reason something is cached there that when I tested the
previous version of the Classpath was used and not this new wrong one,
so i think that was the reason i did not saw the error (If you do not
remove your .eclipse directory the error will continue to appear even
after the MANIFEST.MF file is fixed weird)
Comment 3 Robert Marcano 2007-09-20 08:30:43 EDT
*** Bug 297651 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.